Summary:	Deja Dup Backup Tool
Name:		deja-dup
Version:	34.3
Release:	1
License:	GPLv3+
Group:		Archiving/Backup
Url:		https://launchpad.net/deja-dup
Source0:	http://launchpad.net/%{name}/34/%{version}/+download/%{name}-%{version}.tar.xz
Source100:	%{name}.rpmlintrc

BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	locales-en
BuildRequires:	vala
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(packagekit-glib2)

Requires:	dconf
Requires:	duplicity >= 0.6.14
Requires:	gnome-icon-theme-symbolic
Requires:       adwaita-icon-theme
Requires:	python-cloudfiles
Requires:	python-lockfile


%description
Deja Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
back-end.

Features:
 - Support for local, remote, or cloud backup locations, such as Amazon S3.
 - Securely encrypts and compresses your data.
 - Incrementally backs up, letting you restore from any particular backup.
 - Schedules regular backups.
 - Integrates well into your GNOME desktop.

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_bindir}/deja-*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/%{name}*
%{_libexecdir}/%{name}/
%{_libdir}/nautilus/extensions-*/lib%{name}.so
%{_mandir}/man1/deja-dup*.1*
%{_mandir}/*/man1/deja-dup*.1*
%{_sysconfdir}/xdg/autostart/%{name}-monitor*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# ugly workaround to fix build error with help2man
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:%{_builddir}/%{name}-%{version}/build/libdeja/:%{_builddir}/%{name}-%{version}/build/deja-dup/widgets
%cmake \
	-DENABLE_NAUTILUS:BOOL=ON \
	-DENABLE_CCPANEL:BOOL=ON \
	-DENABLE_UNITY_CCPANEL:BOOL=OFF \
	-DENABLE_UNITY:BOOL=OFF \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DCMAKE_INSTALL_LIBEXECDIR:PATH=%{_libexecdir}
%make

%install
%makeinstall_std -C build

rm -rf %{buildroot}/%{_datadir}/icons/Humanity/

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
mv %{buildroot}%{_prefix}%{_sysconfdir}/xdg/autostart/%{name}-monitor.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-monitor.desktop

%find_lang %{name} --with-gnome

%changelog

* Tue May 16 2017 Denis Silakov <dsilakov@virtuozzo.com> 34.3-1
- (2eabbd5) Upload tarball


